#Client Configuration
[client]

	[client.visual_options]
		# If plaques should show on the top of the screen.
		on_top = true
		# The distance from the top or bottom of the screen, in pixels.
		# Default: 16
		# Range: 8 ~ 256
		distance = 16
		# The horizontal offset from the center, in pixels.
		# Default: 0
		# Range: -256 ~ 256
		horizontal_offset = 0
		# Hide waila/hwyla/jade popups while plaques are showing.
		hide_waila = false
		# If plaques should show for task advancements (normal advancements).
		tasks = true
		# If plaques should show for goal advancements (medium-difficulty advancements).
		goals = true
		# If plaques should show for challenge advancements (high-difficulty advancements).
		challenges = true
		# Text color to use for plaque titles (like "Advancement made!"). Can be entered as an 8-digit hex color code #AARRGGBB for convenience. If Prism library is installed, any Prism color definition is supported.
		title_color = "#FF332200"
		# Text color to use for advancement names on plaques. Can be entered as an 8-digit hex color code #AARRGGBB for convenience. If Prism library is installed, any Prism color definition is supported.
		name_color = "#FFFFFFFF"

	[client.duration_options]
		# Duration of the shiny effect fade in for tasks.
		# Default: 0.5
		# Range: 0.1 ~ 3.0
		task_effect_fadein = 0.25
		# Duration of the shiny effect fade out for tasks.
		# Default: 1.5
		# Range: 0.1 ~ 3.0
		task_effect_fadeout = 0.5
		# Duration of the plaques for tasks (minus the effect fade in/out durations).
		# Default: 7.0
		# Range: 2.0 ~ 10.0
		task_duration = 3.0
		# Duration of the shiny effect fade in for goals.
		# Default: 0.5
		# Range: 0.1 ~ 3.0
		goal_effect_fadein = 0.25
		# Duration of the shiny effect fade out for goals.
		# Default: 1.5
		# Range: 0.1 ~ 3.0
		goal_effect_fadeout = 0.5
		# Duration of the plaques for goals (minus the effect fade in/out durations).
		# Default: 7.0
		# Range: 2.0 ~ 10.0
		goal_duration = 3.0
		# Duration of the shiny effect fade in for challenges.
		# Default: 1.25
		# Range: 0.1 ~ 3.0
		challenge_effect_fadein = 0.5
		# Duration of the shiny effect fade out for challenges.
		# Default: 1.5
		# Range: 0.1 ~ 3.0
		challenge_effect_fadeout = 0.75
		# Duration of the plaques for challenges (minus the effect fade in/out durations).
		# Default: 7.0
		# Range: 2.0 ~ 10.0
		challenge_duration = 3.0

	[client.functionality_options]
		# Blacklist of advancements to never show plaques for.  Takes precedence over whitelist if they conflict.
		# Options:
		#  Advancement ID (eg. "minecraft:adventure/adventuring_time")
		#  Mod ID (Omit the colon, eg. "minecraft")
		#  Advancement Category (End with a /, eg. "minecraft:story/")
		blacklist = []
		# Whitelist of advancements to show plaques for.  Leave empty to display for all.
		# Same options available as blacklist.
		whitelist = []
		# Volume of task sounds.  Set to 0 to mute.
		# Default: 1.0
		# Range: 0.0 ~ 1.0
		task_volume = 0.75
		# Volume of goal sounds.  Set to 0 to mute.
		# Default: 1.0
		# Range: 0.0 ~ 1.0
		goal_volume = 0.75
		# Volume of challenge sounds.  Set to 0 to mute.
		# Default: 1.0
		# Range: 0.0 ~ 1.0
		challenge_volume = 0.75
